/**
 * 数据管理接口
 */
import request from '@/utils/request'
// 数据统计接口-查看某井监测指标
export function getStaticData(params) {
  return request({
    url: 'data/list',
    method: 'get',
    params
  })
}
// 井盖数据查询
export function getWellData(params) {
  return request({
    url: 'welldata/list-page',
    method: 'get',
    params
  })
}
// 井盖数据查询，不分页
export function getWellDataSingle(params) {
  return request({
    url: 'welldata/list',
    method: 'get',
    params
  })
}
// 批量导出井盖数据
export function batchExportWellData(params) {
  return request({
    url: 'welldata/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 液位数据查询
export function getLiquidData(params) {
  return request({
    url: 'liquiddata/list-page',
    method: 'get',
    params
  })
}

// 液位数据查询-不分页
export function getLiquidDataSingle(params) {
  return request({
    url: 'liquiddata/list',
    method: 'get',
    params
  })
}

// 批量导出液位数据
export function batchExportLiquidData(params) {
  return request({
    url: 'liquiddata/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 燃气数据查询
export function getGasData(params) {
  return request({
    url: 'gasdata/list-page',
    method: 'get',
    params
  })
}
// 燃气数据查询-不分页
export function getGasDataSingle(params) {
  return request({
    url: 'gasdata/list',
    method: 'get',
    params
  })
}

// 批量导出燃气数据
export function batchExportGasData(params) {
  return request({
    url: 'gasdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 管盯数据查询
export function getTubeData(params) {
  return request({
    url: 'tubedata/list-page',
    method: 'get',
    params
  })
}

// 管盯数据查询-不分页
export function getTubeDataSingle(params) {
  return request({
    url: 'tubedata/list',
    method: 'get',
    params
  })
}

// 批量导出管盯数据
export function batchExportTubeData(params) {
  return request({
    url: 'tubedata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
// 开挖数据查询
export function getDigData(params) {
  return request({
    url: 'digdata/list-page',
    method: 'get',
    params
  })
}

// 开挖数据查询,不分页
export function getDigDataSingle(params) {
  return request({
    url: 'digdata/list',
    method: 'get',
    params
  })
}

// 批量导出开挖数据
export function batchExportDigData(params) {
  return request({
    url: 'digdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
// 有害气体数据查询
export function getHarmfulData(params) {
  return request({
    url: 'harmfuldata/list-page',
    method: 'get',
    params
  })
}
// 有害气体数据查询,不分页
export function getHarmfulDataSingle(params) {
  return request({
    url: 'harmfuldata/list',
    method: 'get',
    params
  })
}

// 批量导出有害气体数据
export function batchExportHarmfulData(params) {
  return request({
    url: 'harmfuldata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
// 温湿度数据查询
export function getTempData(params) {
  return request({
    url: 'tempdata/list-page',
    method: 'get',
    params
  })
}
// 温湿度数据查询,不分页
export function getTempDataSimple(params) {
  return request({
    url: 'tempdata/list',
    method: 'get',
    params
  })
}
// 批量导出温湿度数据
export function batchExportTempData(params) {
  return request({
    url: 'tempdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 井盖定位监测仪数据查询
export function getWellLocaData(params) {
  return request({
    url: 'welllocadata/list-page',
    method: 'get',
    params
  })
}
// 井盖定位监测仪数据查询,不分页
export function getWellLocaDataSingle(params) {
  return request({
    url: 'welllocadata/list',
    method: 'get',
    params
  })
}
// 批量导出井盖定位监测仪数据
export function batchExportWellLocaData(params) {
  return request({
    url: 'welllocadata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 噪声记录仪数据查询
export function getNoiseData(params) {
  return request({
    url: 'noisedata/list-page',
    method: 'get',
    params
  })
}
// 噪声记录仪数据查询,不分页
export function getNoiseDataSingle(params) {
  return request({
    url: 'noisedata/list',
    method: 'get',
    params
  })
}
// 噪声记录仪数据导出
export function batchExportNoiseData(params) {
  return request({
    url: 'noisedata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
// 液位燃气一体化设备数据查询
export function getLiquidGasData(params) {
  return request({
    url: 'liquidGasData/list-page',
    method: 'get',
    params
  })
}
// 液位燃气一体化设备数据查询,不分页
export function getLiquidGasDataSingle(params) {
  return request({
    url: 'liquidGasData/list',
    method: 'get',
    params
  })
}
// 批量导出液位燃气一体化设备数据
export function batchExportLiquidGasData(params) {
  return request({
    url: '/liquidGasData/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 可燃气体外协数据查询
export function getGasdectorData(params) {
  return request({
    url: '/gasdector/list-page',
    method: 'get',
    params
  })
}
// 可燃气体外协数据查询,不分页
export function getGasdectorDataSingle(params) {
  return request({
    url: '/gasdector/list',
    method: 'get',
    params
  })
}

// 可燃气体外协批量导出燃气数据
export function batchExportGasdectorData(params) {
  return request({
    url: '/gasdector/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
// 激甲云台数据查询-章丘
export function getPantiltData(params) {
  return request({
    url: '/pantilt/list-page',
    method: 'get',
    params
  })
}
// 激甲云台数据查询-章丘
export function getPantiltDataSingle(params) {
  return request({
    url: '/pantilt/list',
    method: 'get',
    params
  })
}

// 激甲云台数据导出-章丘
export function batchExportPantiltData(params) {
  return request({
    url: '/pantilt/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 消防栓数据查询
export function getHydrantData(params) {
  return request({
    url: 'hydrant/list-page',
    method: 'get',
    params
  })
}
// 消防栓数据查询,不分页
export function getHydrantDataSingle(params) {
  return request({
    url: 'hydrant/list',
    method: 'get',
    params
  })
}

// 批量导出消防栓数据
export function batchExportHydrantData(params) {
  return request({
    url: 'hydrant/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 硫化氢数据查询，不分页
export function getH2SDataSingle(params) {
  return request({
    url: 'h2s/list',
    method: 'get',
    params
  })
}

// 硫化氢数据查询
export function getH2SData(params) {
  return request({
    url: 'h2s/list-page',
    method: 'get',
    params
  })
}
// 批量导出硫化氢数据
export function batchExportH2SData(params) {
  return request({
    url: 'h2s/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
